Netgate SG-1000 microFirewall

Author Topic: pfSense 2.4.x install failure on APU2c4  (Read 880 times)

0 Members and 1 Guest are viewing this topic.

Offline Tofi

  • Newbie
  • *
  • Posts: 5
  • Karma: +0/-0
    • View Profile
pfSense 2.4.x install failure on APU2c4
« on: December 18, 2017, 10:49:50 pm »
I have a few boxes made with PCEnginesís boards (APU2c4 and APU3c4) where Iíd been using the pfSense nanoBSD version for a few years.

I recently found out that the new pfSense (version 2.4+) doesnít support nanoBSD. I tried upgrading the install (from 2.3.4 to 2.4.2) but it just gets stuck in the middle and fails.

I then tried to wipe out the mSATA card and install 2.4.2 from scratch and it gets to the point of partitioning the card (ada0) but then it wonít go any further and says my flash drive is corrupted.

I tried the 2.3.4 version and it installs fine and I can use it, but doesnít let me install any of the add-ons (as the older versions have been deprecated). One client location Iíve left it at 2.3.4 without any VPN but its getting very stressful.

Anybody with any wise pearls for me?

Offline blimpyboy

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
    • View Profile
Re: pfSense 2.4.x install failure on APU2c4
« Reply #1 on: December 21, 2017, 08:35:08 am »
Hi there,

Not sure about pearls of wisdom, but I might be able to assist.  I've used Alix boards for years with nanobsd on CF media.  I recently (last few months) switched to APU2 boards with 16GB mSATA SSD drives.  I had quite a wrestling match setting up the first, but all good now.  I have about half a dozen out in the field with:

  - APU2 (c2 & c4 mix)
  - 16GB mSATA SSD
  - pfSense 2.4-Rel

In order to move from 2.3 to 2.4 I had to drop nanobsd.  I now install full 2.4-Rel onto the above systems - all have been rock solid since day one.  Note that I also use OpenVPN for remote support to all of my sites, it's stellar also.

I'm happy to help all I can, but need to head out to some customers now.  I'm in the UK and it's 14:30 at the moment - not sure where on the planet you are.  If you think I might still be able to help you (you might have solved it by now of course!) then leave a reply here and I'll get back to you when I'm done for the day.


Regards
Ian
« Last Edit: December 21, 2017, 08:38:30 am by blimpyboy »

Offline Jailer

  • Sr. Member
  • ****
  • Posts: 422
  • Karma: +55/-2
    • View Profile
    • Bored Guy Blog
Re: pfSense 2.4.x install failure on APU2c4
« Reply #2 on: December 21, 2017, 06:11:37 pm »
Did you check the image file you downloaded? Try writing the image again. If that doesn't work try a different USB stick.

I recently reinstalled on my APU2c4 using the ZFS option and it went off without a hitch so compatibility isn't a problem.

Offline Tofi

  • Newbie
  • *
  • Posts: 5
  • Karma: +0/-0
    • View Profile
Re: pfSense 2.4.x install failure on APU2c4
« Reply #3 on: December 22, 2017, 06:49:58 pm »
I'm going to try downloading again and using a different USB.
I am using the same USB with both the 2.3.4 version and 2.4.2 version. The former installs but the latter doesn't.
I'll report back with a new download. I did try the 2.4.3 nightly a few days ago with the same result, that's what really got me depressed.

And this was on 3 different boxes. :(

Anyhow, be back soon.

Offline Tofi

  • Newbie
  • *
  • Posts: 5
  • Karma: +0/-0
    • View Profile
Re: pfSense 2.4.x install failure on APU2c4
« Reply #4 on: December 24, 2017, 03:01:40 pm »
Downloaded a new copy, on a new computer, using a different USB, which was reformatted with a new copy of the TinyCore installer.
Booted the APU2 box with that USB drive and got to the same result.

I also tried, and installed the 2.3.5 version (nanoBSD) and tried upgrading from there and again it got stuck.

I've found a way to mount the mSATA as an external drive on a VM and doing the install that way. Let me try that out.

Offline Tofi

  • Newbie
  • *
  • Posts: 5
  • Karma: +0/-0
    • View Profile
Re: pfSense 2.4.x install failure on APU2c4
« Reply #5 on: December 24, 2017, 04:37:12 pm »
Hereís what worked: Built the pfSense as a VM
-plugged the mSATA drive into a USB enclosure and installed pfSense on it using it as VM drive, using VMware Workstation. Finished the whole built, enabled SSH and serial port
-Then I plugged the mSATA back into the APU2 board and booted it
-Configured the NICs and IP and now Iím good to go

The only problem now is that I try to do upgrades and it gets bent out of shape. I tried thru the Web interface and SSH and they both mess things up.

Iíll leave this for now and get the client sites done. Will come back to this next Christmas.

Thanks everyone for your input.

Offline Ximulate

  • Jr. Member
  • **
  • Posts: 26
  • Karma: +0/-0
    • View Profile
Re: pfSense 2.4.x install failure on APU2c4
« Reply #6 on: January 11, 2018, 08:07:21 am »
Curious what BIOS verision your running in your APU2? No problems installing from USB for me, but I've been having issues with pfSense 2.4.2_1 and BIOS 4.6.0. I have another router with 4.0.7, which is running pfSense 2.4.2_1 just fine.

Offline Clouseau

  • Full Member
  • ***
  • Posts: 162
  • Karma: +0/-0
  • Wheeers thŲ bŲg?
    • View Profile
Re: pfSense 2.4.x install failure on APU2c4
« Reply #7 on: January 13, 2018, 10:44:13 am »
This sounds problems I have - I have new Apu3 unit with BIOS 4.6.0 and installation fails every time to SD cards over 8GB and msata disks over 8GB. When I use older APU1 unit to install pfSense then it works every time. After installation I move SD or msata disk to APU3 and it boots just fine and works perfectly. Only the installation fails every time. This with 2.4.1 and 2.4.2 versions.


Curious what BIOS verision your running in your APU2? No problems installing from USB for me, but I've been having issues with pfSense 2.4.2_1 and BIOS 4.6.0. I have another router with 4.0.7, which is running pfSense 2.4.2_1 just fine.
----------------------------------------------------------------
Multible Alix 2D13, APU1,APU2,APU3 - pfSense 2.4.x 64bit
Multible Vmware vSphere - pfSense 2.4.x 64bit
----------------------------------------------------------------
pfSense - FreeNAS - OwnCloud

Offline Ximulate

  • Jr. Member
  • **
  • Posts: 26
  • Karma: +0/-0
    • View Profile
Re: pfSense 2.4.x install failure on APU2c4
« Reply #8 on: January 16, 2018, 06:41:37 am »
https://forum.pfsense.org/index.php?topic=142267.0
https://forum.pfsense.org/index.php?topic=142598.0

In short: I beleive my issues are related to the APU2 BIOS. I've rolled back all but one unit to BIOS V4.0.7. So far, no issues with those routers for the last few days.